POST/api/login

Login

This endpoint allows you to obtain a token with which the other requests to MSV Service are authenticated.

Request

  • Name
    username
    Type
    string
    is Required
    REQUIRED
    Description

    Application username

    Example:RestService
  • Name
    password
    Type
    string
    is Required
    REQUIRED
    Description

    User-defined password

    Example:password

Request

POST
/api/login
curl -X "POST" {{baseURl}}/api/login \
  -H "Content-Type: application/json" \
  -d '{
    "username": "RestService",
    "password": "password"
  }'

Response

Successful authentication; returns the access_token and secret_token

  • Name
    status
    Type
    object
    is optional
    Description
  • Name
    access_token
    Type
    string
    is optional
    Description

    User access token

    Example:5d791fa9-91c2-401a-a20e-8e9569e5edec|gYs7WRqfd2NEgiJHOWbaXmyESa1JH4Gs98FDfXBE
  • Name
    secret_token
    Type
    string
    is optional
    Description

    User secret token

    Example:DYJKxUKzgzFaXK2UYkqOy6xd7X1suCnn

Response

POST
/api/login
{
  "status": {
    "status": "OK",
    "reason": null,
    "message": null,
    "date": "2022-08-16T13:12:18+00:00"
  },
  "access_token": "5d791fa9-91c2-401a-a20e-8e9569e5edec|gYs7WRqfd2NEgiJHOWbaXmyESa1JH4Gs98FDfXBE",
  "secret_token": "DYJKxUKzgzFaXK2UYkqOy6xd7X1suCnn"
}